\documentclass[tikz, border=10pt]{standalone}
\usetikzlibrary{arrows.meta, matrix}
\usepackage{amsmath}

\begin{document}

\begin{tikzpicture}[
          > = Stealth,
base/.style = {shape=rectangle, draw,
               text width=31ex, align=center, inner xsep=0.5ex,
               top color=white, bottom color=blue!20},
  RB/.style = {base, rounded corners, font=\sffamily},
  SB/.style = {base, font=\itshape\bfseries},
                    ]
%
%			set up matrix of nodes
%
\matrix (m) [matrix of nodes,
             nodes in empty cells,
             column sep=20mm, row sep=10mm
             ]
{
|[RB]| 
{Irreps of $S_k$ on $V^{\otimes k}$ \\
(every Young diagram \\ appears) }
 &  & 
|[RB]| 
{Irreps of $SU(N_c)$ on $V^{\otimes k}$ \\
(every standard Young tableaux \\ appears)}\\
& & \\
|[RB]| 
{Irreps of $S_k$ on $\mathcal{S}(A^{\otimes k})$ \\
(subset of all \\ Young diagrams) }
& &
|[RB]| 
{Irreps of $SU(N_c)$ on $\mathcal{S}(A^{\otimes k})$ \\
(subset of all \\ standard Young tableaux)}\\
};
%
% 		horizontal arrows (use matrix coords to draw)
%
\draw[{<[scale=1.5]}-{>[scale=1.5]}]  (m-1-1) -- node [above, align=center] {Classical \\ Schur-Weyl \\ duality} (m-1-3);
%
\draw[{<[scale=1.5]}-{>[scale=1.5]}, dashed]  (m-3-1) -- node [above, align=center] {Analogue of \\ Schur-Weyl \\ duality} node [below, align=center] {(proven for \\ $N_c \geq 2k$)} (m-3-3);
%
%			vertical arrows
%
\draw[-{>[scale=1.5]}]  (m-1-1) -- node [left, align=center] {omit \\ some diagrams} (m-3-1);
%
\draw[-{>[scale=1.5]}]  (m-1-3) -- node [right, align=center] {omit \\ some tableaux} (m-3-3);
%
\end{tikzpicture}

\end{document}